import qualified Data.Map as Map
import qualified Data.Text as Text
import LangFilter
import System.Environment
import Text.Pandoc.JSON
import Lang

main =
  toJSONFilter $ \p@(Pandoc (Meta m) _) -> do
    col <- getDefColor m
    langFilter col p
 where
  getDefColor m = do
    res <- toText $ Map.lookup "lang-color" m
    case res of
      Just col -> pure $ col
      Nothing  -> maybe "currentcolor" Text.pack <$> lookupEnv "LANG_COLOR"
